%global momorel 1
%global with_python3 1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pytz
Version:        2018.5
Release:        %{momorel}m%{?dist}
Summary:        World Timezone Definitions for Python

Group:          Development/Languages
License:        MIT/X
URL:            http://pytz.sourceforge.net/
#Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         pytz-2012d_zoneinfo.patch

BuildArch:      noarch
BuildRequires:  python-devel >= 2.7

%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif

%description
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%if 0%{?with_python3}
%package -n python3-%{name}
Requires:   python3
Summary:    World Timezone Definitions for Python

Group:      Development/Languages
%description -n python3-%{name}
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.
%endif

%prep
%setup -q
#%patch0 -p0

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/pytz/*.py
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{python_sitelib}/pytz/
%{python_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-pytz
%doc LICENSE.txt README.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info
%endif # with_python3

%changelog
* Mon Oct 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2018.5-1m)
- update to 2018.5

* Sat Dec 17 2016 Masanobu Sato <satoshiga@momonga-linux.org>
- (2016.10-1m)
- update to 2016.10

* Mon Jun 02 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (2012d-1m)
- update 2012d

* Tue May  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2011e-1m)
- update 2011e

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2010k-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2010k-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2010k-2m)
- full rebuild for mo7 release

* Sun Aug  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2010k-1m)
- update to 2010k

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2009g-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed May 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2009g-1m)
- update 2009g

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2006p-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2006p-2m)
- rebuild against python-2.6.1-1m

* Sat Jul 26 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2006p-1m)
- import from Fedora for python-matplotlib

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> 2006p-3
- Fix for egg-info file creation

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 2006p-2
- Bump for rebuild against python 2.5 and change BR to python-devel accordingly

* Fri Dec  8 2006 Orion Poplawski <orion@cora.nwra.com> 2006p-1
- Update to 2006p

* Thu Sep  7 2006 Orion Poplawski <orion@cora.nwra.com> 2006g-1
- Update to 2006g

* Mon Feb 13 2006 Orion Poplawski <orion@cora.nwra.com> 2005r-2
- Rebuild for gcc/glibc changes

* Tue Jan  3 2006 Orion Poplawski <orion@cora.nwra.com> 2005r-1
- Update to 2005r

* Thu Dec 22 2005 Orion Poplawski <orion@cora.nwra.com> 2005m-1
- Update to 2005m

* Fri Jul 22 2005 Orion Poplawski <orion@cora.nwra.com> 2005i-2
- Remove -O1 from install command

* Tue Jul 05 2005 Orion Poplawski <orion@cora.nwra.com> 2005i-1
- Initial Fedora Extras package
